﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 29/04/2022 17:44:40
-- Server version: 5.7.37-log
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS practica9programacion;

CREATE DATABASE IF NOT EXISTS practica9programacion
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE practica9programacion;

--
-- Create table `datos`
--
CREATE TABLE IF NOT EXISTS datos (
  datos_id int(11) NOT NULL AUTO_INCREMENT,
  numero1 int(11) NOT NULL,
  numero2 int(11) NOT NULL,
  suma varchar(255) DEFAULT NULL,
  resta varchar(255) DEFAULT NULL,
  rango varchar(5) DEFAULT NULL,
  texto1 varchar(25) DEFAULT NULL,
  texto2 varchar(25) DEFAULT NULL,
  junto varchar(255) DEFAULT NULL,
  longitud varchar(255) DEFAULT NULL,
  tipo int(11) NOT NULL,
  numero int(11) NOT NULL,
  PRIMARY KEY (datos_id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 30,
AVG_ROW_LENGTH = 564,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `numero_index` on table `datos`
--
ALTER TABLE datos
ADD INDEX numero_index (numero);

--
-- Create index `numero2_index` on table `datos`
--
ALTER TABLE datos
ADD INDEX numero2_index (numero2);

--
-- Create index `tipo_index` on table `datos`
--
ALTER TABLE datos
ADD INDEX tipo_index (tipo);

-- 
-- Dumping data for table datos
--
INSERT INTO datos VALUES
(1, 66, 1, NULL, NULL, 'A', 'realizarlo ', 'ejemplo', NULL, NULL, 3, 1),
(2, 80, 7, NULL, NULL, 'B', 'reciba ', 'clase', NULL, NULL, 4, 2),
(3, 39, 89, NULL, NULL, 'C', 'carácter', 'objeto', NULL, NULL, 1, 1),
(4, 41, 37, NULL, NULL, 'D', 'procedimiento', 'tipo', NULL, NULL, 1, 1),
(5, 70, 79, NULL, NULL, 'E', 'almacenado', 'persona', NULL, NULL, 3, 1),
(6, 74, 63, NULL, NULL, 'A', 'disparador', 'perro', NULL, NULL, 5, 1),
(7, 4, 43, NULL, NULL, 'B', 'enlace', 'casa', NULL, NULL, 4, 3),
(8, 51, 10, NULL, NULL, 'C', 'pagina', 'fotos', NULL, NULL, 1, 3),
(9, 23, 8, NULL, NULL, 'D', 'web', 'wes', NULL, NULL, 5, 23),
(10, 91, 77, NULL, NULL, 'A', 'direccion', 'enlaces', NULL, NULL, 2, 2),
(11, 32, 86, NULL, NULL, 'A', 'url', 'carácter', NULL, NULL, 5, 1),
(12, 94, 20, NULL, NULL, 'A', 'realizarlo ', 'procedimiento', NULL, NULL, 1, 1),
(13, 100, 96, NULL, NULL, 'B', 'reciba ', 'almacenado', NULL, NULL, 4, 2),
(14, 61, 34, NULL, NULL, 'B', 'carácter', 'disparador', NULL, NULL, 5, 2),
(15, 23, 56, NULL, NULL, 'B', 'procedimiento', 'enlace', NULL, NULL, 4, 1),
(16, 97, 29, NULL, NULL, 'B', 'almacenado', 'pagina', NULL, NULL, 1, 1),
(17, 27, 43, NULL, NULL, 'B', 'disparador', 'web', NULL, NULL, 3, 1),
(18, 44, 86, NULL, NULL, 'B', 'enlace', 'direccion', NULL, NULL, 1, 1),
(19, 13, 85, NULL, NULL, 'B', 'pagina', 'procedimiento', NULL, NULL, 3, 1),
(20, 15, 58, NULL, NULL, 'A', 'web', 'almacenado', NULL, NULL, 2, 2),
(21, 68, 47, NULL, NULL, 'A', 'direccion', 'disparador', NULL, NULL, 5, 2),
(22, 82, 10, NULL, NULL, 'A', 'url', 'enlace', NULL, NULL, 5, 1),
(23, 73, 53, NULL, NULL, 'A', 'realizarlo ', 'pagina', NULL, NULL, 3, 1),
(24, 35, 29, NULL, NULL, 'A', 'reciba ', 'web', NULL, NULL, 3, 1),
(25, 76, 32, NULL, NULL, 'A', 'carácter', 'listado', NULL, NULL, 4, 3),
(26, 86, 22, NULL, NULL, 'B', 'procedimiento', 'lotes', NULL, NULL, 2, 2),
(27, 81, 47, NULL, NULL, 'B', 'almacenado', 'golosinas', NULL, NULL, 3, 1),
(28, 65, 71, NULL, NULL, 'C', 'disparador', 'gominolas', NULL, NULL, 2, 1),
(29, 71, 41, NULL, NULL, 'D', 'enlace', 'pintores', NULL, NULL, 4, 1);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;